Subject: bug#8947: 24.0.50; `describe-mode': `help-mode-map' pollutes minor mode descriptions

From: Stefan Kangas <[email-masked]>
Date: Thu, 21 Oct 2021 12:44:23 -0700

Michael Heerdegen <[email-masked]> writes:

> Drew Adams <[email-masked]> writes:
>
>> The recipe I gave was this:
>>
>>   emacs -Q
>>
>>   Visit any *.el file, hit `C-h m', then search for `Transient'
>>   ^^^^^^^^^^^^^^^^^^^
>>   in *Help*.  The help for `transient-mark-mode' says this:
>>
>>   "...for example, incremental search, <, and >."
>>
>> And I explained the cause: The doc for `transient-mark-mode'
>> is being picked up after *Help* has become the current buffer.
>> That is not the correct behavior.
>
> I agree.  I can reproduce this, and your explanation makes sense.

I can no longer reproduce this using the above recipe; the
`transient-mode-mark' docstring was changed in commit b99192fe24fc.

Do we have an up-to-date reproducer for this?